Fail to build the 0.11.x branch (At 4/3/2018) using gradlew.bat

Issue #168 resolved
Rami Sabbagh created an issue

Hello,

I've tried to build the 0.11.x branch (After 11.0 has been released), And failed with this error after typing gradlew.bat build

cmd_2018-04-03_13-50-27.png

Paste version

The build environment:

  • Windows: 7 SP1 64-Bit
  • A 2-Cores Intel Pentium.
  • Using JDK jdk1.8.0_162
  • Using NDK 13.1.3345770

Installed SDK packages:

  • Android SDK Tools (Rev 24.4)
  • Android SDK Platform-tools (Rev 27.0.1)
  • Android SDK Build-tools (Rev 27.0.1 & 26.0.2 & 23.0.3 & 23.0.1 & 19.1)
  • SDK Platform (API 26, Rev 2)
  • Sources for Android SDK (API 26, Rev 1)
  • SDK Platform (API 25, Rev 3)
  • SDK Platform (API 23, Rev 3)
  • Google APIS (API 23, Rev 1)
  • Sources for Android SDK (API 23, Rev 1)
  • SDK Platform (API 19, Rev 4)
  • Google APIs (API 19, Rev 20)
  • SDK Platform (API 16, Rev 5)
  • Android Support Repository (Rev 47)
  • Google Repository (Rev 22)
  • Google Play APK Expansion Library (Rev 1)
  • Google Play Licensing Library (Rev 1)
  • Google USB Driver (Rev 11)
  • Google Web Drive (Rev 2)

Please note that I was able to build 0.10.2 flawlessly.

Comments (2)

  1. Martin Felis repo owner

    You need to upgrade your NDK. Current version (and used with the official build) is r16b. As of 11.0 we are using clang and libc++ which helps to keep LÖVE's code base a bit cleaner.

  2. Log in to comment